Package com.dropbox.core.v2.paper
Class DocsUsersListBuilder
java.lang.Object
com.dropbox.core.v2.paper.DocsUsersListBuilder
The request builder returned by
DbxUserPaperRequests.docsUsersListBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withFilterBy(UserOnPaperDocFilter filterBy) Set value for optional field.Set value for optional field.
-
Method Details
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to1000.- Parameters:
limit- Size limit per batch. The maximum number of users that can be retrieved per batch is 1000. Higher value results in invalid arguments error. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to1000when set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withFilterBy
Set value for optional field.If left unset or set to
null, defaults toUserOnPaperDocFilter.SHARED.- Parameters:
filterBy- Specify this attribute if you want to obtain users that have already accessed the Paper doc. Must not benull. Defaults toUserOnPaperDocFilter.SHAREDwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.- Throws:
DocLookupErrorExceptionDbxException
-